import 'package:flutter/material.dart';
import 'hybrid_stack/hybrid_stack_manager_plugin.dart';
import 'app_config.dart';
import 'my_app.dart';

//void main() {
//  debugPaintSizeEnabled = false; //打开视觉调试开关
//  return runApp(_widgetForRoute(window.defaultRouteName));
//
//}

void main() async {
  AppConfig.sharedInstance();
//  HybridStackManagerPlugin plugin =
//      HybridStackManagerPlugin.hybridStackManagerPlugin;
  runApp(new MyApp());
  Map args =  await HybridStackManagerPlugin.hybridStackManagerPlugin.getMainEntryParams();
  if (args != null && args["url"] != null) {
    RouterOption routeOption = new RouterOption(
        url: args["url"], query: args["query"], params: args["params"]);
    Router.sharedInstance().pushPageWithOptionsFromFlutter(
        routeOption: routeOption, animated: false);
  }
}


